"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Identifier = exports.SameAs = exports.DisambiguatingDescription = exports.AdditionalType = exports.SubjectOf = exports.Description = exports.Url = exports.Image = exports.PotentialAction = exports.Name = exports.AlternateName = exports.MainEntityOfPage = exports.BiologicalRole = exports.BioChemSimilarity = exports.HasRepresentation = exports.BioChemInteraction = exports.HasBioChemEntityPart = exports.HasMolecularFunction = exports.AssociatedDisease = exports.IsLocatedInSubcellularLocation = exports.IsInvolvedInBiologicalProcess = exports.TaxonomicRange = exports.IsPartOfBioChemEntity = exports.IsEncodedByBioChemEntity = exports.Funding = exports.BioChemEntity = void 0;
var Funding_1 = require("./src/itemProps/Funding");
Object.defineProperty(exports, "Funding", { enumerable: true, get: function () { return Funding_1.Funding; } });
var IsEncodedByBioChemEntity_1 = require("./src/itemProps/IsEncodedByBioChemEntity");
Object.defineProperty(exports, "IsEncodedByBioChemEntity", { enumerable: true, get: function () { return IsEncodedByBioChemEntity_1.IsEncodedByBioChemEntity; } });
var IsPartOfBioChemEntity_1 = require("./src/itemProps/IsPartOfBioChemEntity");
Object.defineProperty(exports, "IsPartOfBioChemEntity", { enumerable: true, get: function () { return IsPartOfBioChemEntity_1.IsPartOfBioChemEntity; } });
var TaxonomicRange_1 = require("./src/itemProps/TaxonomicRange");
Object.defineProperty(exports, "TaxonomicRange", { enumerable: true, get: function () { return TaxonomicRange_1.TaxonomicRange; } });
var IsInvolvedInBiologicalProcess_1 = require("./src/itemProps/IsInvolvedInBiologicalProcess");
Object.defineProperty(exports, "IsInvolvedInBiologicalProcess", { enumerable: true, get: function () { return IsInvolvedInBiologicalProcess_1.IsInvolvedInBiologicalProcess; } });
var IsLocatedInSubcellularLocation_1 = require("./src/itemProps/IsLocatedInSubcellularLocation");
Object.defineProperty(exports, "IsLocatedInSubcellularLocation", { enumerable: true, get: function () { return IsLocatedInSubcellularLocation_1.IsLocatedInSubcellularLocation; } });
var AssociatedDisease_1 = require("./src/itemProps/AssociatedDisease");
Object.defineProperty(exports, "AssociatedDisease", { enumerable: true, get: function () { return AssociatedDisease_1.AssociatedDisease; } });
var HasMolecularFunction_1 = require("./src/itemProps/HasMolecularFunction");
Object.defineProperty(exports, "HasMolecularFunction", { enumerable: true, get: function () { return HasMolecularFunction_1.HasMolecularFunction; } });
var HasBioChemEntityPart_1 = require("./src/itemProps/HasBioChemEntityPart");
Object.defineProperty(exports, "HasBioChemEntityPart", { enumerable: true, get: function () { return HasBioChemEntityPart_1.HasBioChemEntityPart; } });
var BioChemInteraction_1 = require("./src/itemProps/BioChemInteraction");
Object.defineProperty(exports, "BioChemInteraction", { enumerable: true, get: function () { return BioChemInteraction_1.BioChemInteraction; } });
var HasRepresentation_1 = require("./src/itemProps/HasRepresentation");
Object.defineProperty(exports, "HasRepresentation", { enumerable: true, get: function () { return HasRepresentation_1.HasRepresentation; } });
var BioChemSimilarity_1 = require("./src/itemProps/BioChemSimilarity");
Object.defineProperty(exports, "BioChemSimilarity", { enumerable: true, get: function () { return BioChemSimilarity_1.BioChemSimilarity; } });
var BiologicalRole_1 = require("./src/itemProps/BiologicalRole");
Object.defineProperty(exports, "BiologicalRole", { enumerable: true, get: function () { return BiologicalRole_1.BiologicalRole; } });
var MainEntityOfPage_1 = require("./src/itemProps/MainEntityOfPage");
Object.defineProperty(exports, "MainEntityOfPage", { enumerable: true, get: function () { return MainEntityOfPage_1.MainEntityOfPage; } });
var AlternateName_1 = require("./src/itemProps/AlternateName");
Object.defineProperty(exports, "AlternateName", { enumerable: true, get: function () { return AlternateName_1.AlternateName; } });
var Name_1 = require("./src/itemProps/Name");
Object.defineProperty(exports, "Name", { enumerable: true, get: function () { return Name_1.Name; } });
var PotentialAction_1 = require("./src/itemProps/PotentialAction");
Object.defineProperty(exports, "PotentialAction", { enumerable: true, get: function () { return PotentialAction_1.PotentialAction; } });
var Image_1 = require("./src/itemProps/Image");
Object.defineProperty(exports, "Image", { enumerable: true, get: function () { return Image_1.Image; } });
var Url_1 = require("./src/itemProps/Url");
Object.defineProperty(exports, "Url", { enumerable: true, get: function () { return Url_1.Url; } });
var Description_1 = require("./src/itemProps/Description");
Object.defineProperty(exports, "Description", { enumerable: true, get: function () { return Description_1.Description; } });
var SubjectOf_1 = require("./src/itemProps/SubjectOf");
Object.defineProperty(exports, "SubjectOf", { enumerable: true, get: function () { return SubjectOf_1.SubjectOf; } });
var AdditionalType_1 = require("./src/itemProps/AdditionalType");
Object.defineProperty(exports, "AdditionalType", { enumerable: true, get: function () { return AdditionalType_1.AdditionalType; } });
var DisambiguatingDescription_1 = require("./src/itemProps/DisambiguatingDescription");
Object.defineProperty(exports, "DisambiguatingDescription", { enumerable: true, get: function () { return DisambiguatingDescription_1.DisambiguatingDescription; } });
var SameAs_1 = require("./src/itemProps/SameAs");
Object.defineProperty(exports, "SameAs", { enumerable: true, get: function () { return SameAs_1.SameAs; } });
var Identifier_1 = require("./src/itemProps/Identifier");
Object.defineProperty(exports, "Identifier", { enumerable: true, get: function () { return Identifier_1.Identifier; } });
var BioChemEntity_1 = require("./src/BioChemEntity");
Object.defineProperty(exports, "BioChemEntity", { enumerable: true, get: function () { return BioChemEntity_1.BioChemEntity; } });
exports.default = {
    BioChemEntity: BioChemEntity_1.BioChemEntity,
    Funding: Funding_1.Funding,
    IsEncodedByBioChemEntity: IsEncodedByBioChemEntity_1.IsEncodedByBioChemEntity,
    IsPartOfBioChemEntity: IsPartOfBioChemEntity_1.IsPartOfBioChemEntity,
    TaxonomicRange: TaxonomicRange_1.TaxonomicRange,
    IsInvolvedInBiologicalProcess: IsInvolvedInBiologicalProcess_1.IsInvolvedInBiologicalProcess,
    IsLocatedInSubcellularLocation: IsLocatedInSubcellularLocation_1.IsLocatedInSubcellularLocation,
    AssociatedDisease: AssociatedDisease_1.AssociatedDisease,
    HasMolecularFunction: HasMolecularFunction_1.HasMolecularFunction,
    HasBioChemEntityPart: HasBioChemEntityPart_1.HasBioChemEntityPart,
    BioChemInteraction: BioChemInteraction_1.BioChemInteraction,
    HasRepresentation: HasRepresentation_1.HasRepresentation,
    BioChemSimilarity: BioChemSimilarity_1.BioChemSimilarity,
    BiologicalRole: BiologicalRole_1.BiologicalRole,
    MainEntityOfPage: MainEntityOfPage_1.MainEntityOfPage,
    AlternateName: AlternateName_1.AlternateName,
    Name: Name_1.Name,
    PotentialAction: PotentialAction_1.PotentialAction,
    Image: Image_1.Image,
    Url: Url_1.Url,
    Description: Description_1.Description,
    SubjectOf: SubjectOf_1.SubjectOf,
    AdditionalType: AdditionalType_1.AdditionalType,
    DisambiguatingDescription: DisambiguatingDescription_1.DisambiguatingDescription,
    SameAs: SameAs_1.SameAs,
    Identifier: Identifier_1.Identifier
};
